Support » Plugin: Move Login » Move Login has not been activated error

  • Resolved WPWally

    (@wordpresswally)


    I recently updated from version 2.4.2 to 2.4.3 (I got to it a little late) but as soon as I did, when I try to activate the plugin I get the following screen:

    Move Login has not been activated.
    It seems your server does not use Apache, Nginx, nor IIS7. Move Login won't work.

    So I went back and reverted to 2.4.2 and I still get the same error. This week I downloaded version 2.5 and it is still the same.

    My server is running Apache 2.4 and PHP 5.6 so I do not get why I am getting this error all of a sudden.

    Am I missing something?

    I have other plugins running but I deactivated them and tried just running SF Move Login and still the error persists.

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author ScreenfeedFr

    (@greglone)

    Hello.

    That’s curious indeed. Move Login uses a system already existing in WordPress to tell which server technology is used: a global variable called $is_apache. So, if you have this message that means this variable is false, and should be true of course.
    Right now I can’t see why this fails here.

    Plugin Author ScreenfeedFr

    (@greglone)

    Hello.

    Can you tell me this beta version solves the problem?

    Thanks.

    WPWally

    (@wordpresswally)

    Thanks for both replies. Your first one sent me back to update WordPress again as I had updated that at the same time as the plugin and figured that something must have gone wrong there. No luck.

    I just tried your beta, and that is returning the same error. I’ll take another look at my WordPress update and see if something went awry there. I should note that I first update on a local machine (also runs Apache) and I am not getting the error there, only on the live server. Strange.

    Plugin Author ScreenfeedFr

    (@greglone)

    OK, it feels like a server configuration problem.
    Am I right assuming you know (at least a bit of) code? Can you tell me what is printed by this: echo '<<<' . $_SERVER['SERVER_SOFTWARE'] . '>>>';? It must contain Apache or LiteSpeed.

    WPWally

    (@wordpresswally)

    All I get is this: <<<>>>.

    Plugin Author ScreenfeedFr

    (@greglone)

    OK, so as far as I can tell that’s a server issue. I don’t know how WordPress can even work with that: that’s the data used to determine if you are using Apache or something else.

    WPWally

    (@wordpresswally)

    That’s what I figured as well, but I was a bit busy with work to look into it. Anyway, I just updated WordPress and the plugin and all works fine now. I’m guessing I did something wrong with my previous WordPress update. Thanks for all the help!

    Plugin Author ScreenfeedFr

    (@greglone)

    Great.
    Have a nice weekend.
    Greg

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Move Login has not been activated error’ is closed to new replies.